#pragma once

namespace xtr::dialog {

class ImportWSDialog final : public CDialog {
public:
  int32_t selection{ 0 };

private:
  std::vector<CString> m_List{};
  CListBox m_ListControl{};

public:
  explicit ImportWSDialog(std::vector<CString> wsList, CWnd* pParent = nullptr);

private:
  void DoDataExchange(CDataExchange* pDX) override;
  BOOL OnInitDialog() override;

DECLARE_MESSAGE_MAP()
  afx_msg void OnBnClickedOk();
};

} // namespace xtr::dialog